import os, glob
os.chdir(os.path.dirname(os.path.abspath(__file__)))
def parse_stats(f):
 return  [[int(ll) for ll in l.split()[2:]] for l in open(f).readlines() if len(l.strip())]
stats = parse_stats("added.stats")
stats_noWHISCY = parse_stats("added-noWHISCY.stats")
stats_noPINUP = parse_stats("added-noPINUP.stats")

bins = glob.glob("../*/predictions/*.bins")
#bins = ["../1ML0/predictions/1ML0A.bins"]
for f in bins:
  readlines = open(f).readlines()
  #if readlines[0].strip().endswith("cport"): continue
  lines = [l.split()[:8] for l in readlines[1:] if len(l.strip())]  
  types = (int, float, int,int,int,int,int,int)
  lines = [[t(v) for t,v in zip(types,l)] for l in lines]
  currstats = stats
  if len([l for l in lines if l[2] != -1]) == 0: currstats = stats_noWHISCY
  elif len([l for l in lines if l[7] != -1]) == 0: currstats = stats_noPINUP
  else: continue
  fh = open(f, "w")
  print f
  print >> fh, "res distance WHISCY PIER ProMate cons-PPISP SPPIDER PINUP cport"
  for l in lines:
    values = l[2:]
    for statnr, cstat in enumerate(currstats):      
      for (v, thres) in zip(values, cstat):
        #print statnr, v, thres
        if v <= thres and v != -1 and v != 10000: break
      else: continue
      break	
    else:
      statnr = len(currstats) + 1
    l.append(statnr+1)
    print >> fh," ".join([str(v) for v in l])
  fh.close()
